<%
Class MetaMailer
	Public Mailer
	Public Recipient
	Public CC
	Public BCC
	Public From
	Public FromName
	Public Subject
	Public Body
	Public MailServer
	Public Attachment

	Private objCDOConf
	Private objFlds
	Private cdoAnonymous
	Private cdoSendUsingPort
	Private cdoSendUsingPickup
	Private objMsg

	Public Function Send()
		Select Case lCase(Mailer)
			Case "aspemail"
				' http://www.aspemail.com/
				Set Mail = Server.CreateObject("Persits.MailSender")
				Mail.Host = MailServer
				Mail.From = From
				Mail.FromName = FromName
				For i = lBound(Recipient) To uBound(Recipient)
					Mail.AddAddress Recipient(i)
				Next
				If isArray(CC) Then
					For i = lBound(CC) To uBound(CC)
						Mail.AddCC CC(i)
					Next
				End If
				If isArray(BCC) Then
					For i = lBound(BCC) To uBound(BCC)
						Mail.AddBCC BCC(i)
					Next
				End If
				If isArray(Attachment) Then
					For i = lBound(Attachment) To uBound(Attachment)
						Mail.AddAttachment Attachment(i)
						Next
				End If
				Mail.Subject = Subject
				Mail.Body = Body
				Mail.Send
				Set Mail = Nothing

			Case "aspmail"
				' http://www.serverobjects.com
				Set Mailer = Server.CreateObject("SMTPsvg.Mailer")
				Mailer.FromName   = FromName
				Mailer.FromAddress= From
				Mailer.RemoteHost = MailServer
				For i = lBound(Recipient) To uBound(Recipient)
					Mailer.AddRecipient "", Recipient(i)
				Next
				If isArray(CC) Then
					For i = lBound(CC) To uBound(CC)
						Mailer.AddCC "", CC(i)
					Next
				End If
				If isArray(BCC) Then
					For i = lBound(BCC) To uBound(BCC)
						Mailer.AddRecipientBCC "", BCC(i)
					Next
				End If
				If isArray(Attachment) Then
					For i = lBound(Attachment) To uBound(Attachment)
						Mailer.AddAttachment Attachment(i)
						Next
				End If
				Mailer.Subject    = Subject
				Mailer.BodyText   = Body
				Mailer.SendMail
				Set Mailer = Nothing

			Case "jmail"
				' http://tech.dimac.net/
				Set JMail = Server.CreateObject("JMail.SMTPMail")
				JMail.ServerAddress = MailServer
				JMail.Sender = From
				JMail.Subject = Subject
				For i = lBound(Recipient) To uBound(Recipient)
					JMail.AddRecipient Recipient(i)
				Next
				If isArray(CC) Then
					For i = lBound(CC) To uBound(CC)
						JMail.AddRecipientCC CC(i)
					Next
				End If
				If isArray(BCC) Then
					For i = lBound(BCC) To uBound(BCC)
						JMail.AddRecipientBCC BCC(i)
					Next
				End If
				If isArray(Attachment) Then
					For i = lBound(Attachment) To uBound(Attachment)
						JMail.AddAttachment Attachment(i)
						Next
				End If
				JMail.Body = Body
				JMail.Silent = True
				JMail.Execute
				Set JMail = Nothing

			Case "dundas"
				' http://www.dundas.com/
				Set objEmail = Server.CreateObject("Dundas.Mailer") 
				objEmail.FromAddress = From
				For i = lBound(Recipient) To uBound(Recipient)
					objEmail.TOs.Add Recipient(i)
				Next
				If isArray(CC) Then
					For i = lBound(CC) To uBound(CC)
						objEmail.CCs.Add CC(i)
					Next
				End If
				If isArray(BCC) Then
					For i = lBound(BCC) To uBound(BCC)
						objEmail.BCCs.Add BCC(i)
					Next
				End If
				If isArray(Attachment) Then
					For i = lBound(Attachment) To uBound(Attachment)
							objEmail.Attachments.Add Attachment(i)
						Next
				End If
				objEmail.Subject = Subject
				objEmail.SMTPRelayServers.Add MailServer
				objEmail.Body = Body
				objEmail.SendMail
				Set objEmail = Nothing

			Case "flicks"
				' http://www.flicks.com
				Set Mailer = Server.CreateObject("ASPMail.ASPMailCtrl.1")
				Mailer.SendX MailServer, FromName, From, "", "", Join(Recipient, ","), Join(CC, ","), Join(BCC, ","), Join(Attachment, ","), Subject, Body

			Case "maillistbot"
				' http://www.exclamationsoft.com
				' CC & BCC nur je einer mglich
				Set oMailListBot = CreateObject ("ExclamationSoft.MailListBot.2")
				oMailListBot.SetBody = Body
				If isArray(CC) Then
					oMailListBot.SetCCAddress = CC(0)
				End If
				If isArray(BCC) Then
					oMailListBot.SetBCCAddress = BCC(0)
				End If
				If isArray(Attachment) Then
					For i = lBound(Attachment) To uBound(Attachment)
							oMailListBot.SetAttachmentFile = Attachment(i)
						Next
				End If
				Recipient = Join(Recipient, ";")
				oMailListBot.Initialize Recipient, From, Subject, MailServer
				oMailListBot.Send 
				Set oMailListBot = Nothing

			Case "aspsmartmail"
				' http://www.aspsmart.com
				Set mySmartMail = Server.CreateObject("aspSmartMail.SmartMail")
				For i = lBound(Recipient) To uBound(Recipient)
					mySmartMail.Recipients.Add Recipient(i)
				Next
				If isArray(CC) Then
					For i = lBound(CC) To uBound(CC)
						mySmartMail.CCs.Add CC(i)
					Next
				End If
				If isArray(BCC) Then
					For i = lBound(BCC) To uBound(BCC)
						mySmartMail.BCCs.Add BCC(i)
					Next
				End If
				If isArray(Attachment) Then
					For i = lBound(Attachment) To uBound(Attachment)
							mySmartMail.Attachments.Add Attachment(i)
						Next
				End If
				mySmartMail.Body = Body
				mySmartMail.SenderAddress = From
				mySmartMail.SenderName = FromName
				mySmartMail.Server = MailServer
				mySmartMail.Subject = Subject
				mySmartMail.SendMail

			Case "devmailer"
				' http://www.geocel.com/
				Set Mailer = Server.CreateObject("Geocel.Mailer")
				Mailer.AddServer MailServer,25
				Mailer.FromAddress = From
				Mailer.FromName = FromName
				For i = lBound(Recipient) To uBound(Recipient)
					Mailer.AddRecipient Recipient(i), ""
				Next
				If isArray(CC) Then
					For i = lBound(CC) To uBound(CC)
						Mailer.AddCCRecipient CC(i), ""
					Next
				End If
				If isArray(BCC) Then
					For i = lBound(BCC) To uBound(BCC)
						Mailer.AddBCCRecipient BCC(i), ""
					Next
				End If
				If isArray(Attachment) Then
					For i = lBound(Attachment) To uBound(Attachment)
							Mailer.AddAttachment Attachment(i)
						Next
				End If
				Mailer.Subject = Subject
				Mailer.Body =	Body
				Mailer.Send()

			Case "activemailer"
				' http://www.xs4all.nl/~jarit/asp/activemail/
				' Kann keine Attachments
				Set Mailer = Server.createobject("ActiveMail.Mail")
				For i = lBound(Recipient) To uBound(Recipient)
					Mailer.AddRecipient cstr(Recipient(i))
				Next
				If isArray(CC) Then
					For i = lBound(CC) To uBound(CC)
						Mailer.AddCC cstr(CC(i))
					Next
				End If
				If isArray(BCC) Then
					For i = lBound(BCC) To uBound(BCC)
						Mailer.AddBCC cstr(BCC(i))
					Next
				End If
				Mailer.Body = Body
				Mailer.FromAddress = From
				Mailer.FromName = FromName
				Mailer.SMTPServer = MailServer
				Mailer.Subject = Subject
				Mailer.TimeOut = 1
				Mailer.send
				set Mailer = nothing

			Case "dynuemail"
				' http://www.dynu.com
				Set myemail = Server.CreateObject("Dynu.Email")
				myemail.Host = MailServer
				myemail.From = From
				myemail.FromName = FromName
				For i = lBound(Recipient) To uBound(Recipient)
					myemail.AddAddress Recipient(i)
				Next
				If isArray(CC) Then
					For i = lBound(CC) To uBound(CC)
						myemail.AddCC CC(i)
					Next
				End If
				If isArray(BCC) Then
					For i = lBound(BCC) To uBound(BCC)
						myemail.AddBCC BCC(i)
					Next
				End If
				If isArray(Attachment) Then
					For i = lBound(Attachment) To uBound(Attachment)
							myemail.AddAttachment Attachment(i)
						Next
				End If
				myemail.Subject = Subject
				myemail.Body = Body
				myemail.Send()
				Set myemail = nothing

			Case "hsmailer"
				' http://www.hacksystems.com
				Set Mailbox = Server.CreateObject("HSMailer.Mailbox")
				Set Message = Server.CreateObject("HSMailer.Message")
  
				'MailBox.LicenseName = "Unlicensed User"
				'MailBox.LicenseKey = "W5LVdsWwWoaOSfO-y6-gD2Tvy5IeUsf9kkAD_Rn1ncke"

				Mailbox.Host = MailServer
				Mailbox.Connect
  
				Message.From.Name = FromName
				Message.From.Address = From
				For i = lBound(Recipient) To uBound(Recipient)
					Message.ToRecipients.Add Recipient(i)
				Next
				If isArray(CC) Then
					For i = lBound(CC) To uBound(CC)
						Message.CCRecipients.Add CC(i)
					Next
				End If
				If isArray(BCC) Then
					For i = lBound(BCC) To uBound(BCC)
						Message.BCCRecipients.Add BCC(i)
					Next
				End If
				If isArray(Attachment) Then
					For i = lBound(Attachment) To uBound(Attachment)
							Message.Attachments.Add Attachment(i)
						Next
				End If
				Message.Subject = Subject
				Message.Body = Body

				Message.Send Mailbox
				Mailbox.Disconnect
				Set Message = Nothing
				Set Mailbox = Nothing

			Case "htmlmailer"
				' http://www.oopadelic.com
				' CC & BCC funktioniert nur in der Kaufversion
				' Attachments funktionieren nur in der Kaufversion
				Set objMailer = server.CreateObject("HTMLMailer.SimpleMailer")
				Recipient = Join(Recipient, ";")
				objMailer.SendMail MailServer, Recipient, Subject, Body, From
				Set objMailer = Nothing

			Case "simplemail"
				' http://www.simplemail.adiscon.com
				' CC & BCC nur je einer mglich
				set o = Server.CreateObject("ADISCON.SimpleMail.1") ' create mailer!
				o.MailServer = MailServer
				o.Sender = From
				o.SenderName = FromName
				Recipient = Join(Recipient, ";")
				o.Recipient = Recipient
				If isArray(CC) Then
					o.CCRecipient = CC(0)
				End If
				If isArray(BCC) Then
					o.BCCRecipient = BCC(0)
				End If
				If isArray(Attachment) Then
					For i = lBound(Attachment) To uBound(Attachment)
							o.AttachFile Attachment(i), Right(Attachment(i), Len(Attachment(i)) - InstrRev(Attachment(i), "\"))
						Next
				End If
				o.Subject = Subject
				o.MessageText = Body
				call o.Send
				set o = Nothing

			Case "cdonts"
				Set objNewMail = Server.CreateObject("CDONTS.NewMail")
				objNewMail.From = From
				objNewMail.To   = Join(Recipient, ";")
				If isArray(CC) Then
					objNewMail.CC = Join(CC, ";")
				End If
				If isArray(BCC) Then
					objNewMail.BCC = Join(BCC, ";")
				End If
				If isArray(Attachment) Then
					For i = lBound(Attachment) To uBound(Attachment)
							objNewMail.AttachFile Attachment(i)
						Next
				End If
				objNewMail.Subject = Subject
				objNewMail.Body    = Body
				objNewMail.Send
				Set objNewMail = Nothing

			Case "cdosys"
				cdoAnonymous = 0
				cdoSendUsingPort = 2
				set objCDOConf = Server.CreateObject("CDO.Configuration")
				set objFlds = objCDOConf.Fields
				objFlds("cdoSMTPAuthenticate") = cdoAnonymous
				objFlds("cdoSendUsingMethod") = cdoSendUsingPort
				objFlds("cdoSMTPServer") = MailServer
				set objMsg = Server.CreateObject("CDO.Message")
				set objMsg.Configuration = objCDOConf
				objMsg.MimeFormatted = true
				objMsg.to = Join(Recipient, ",")
				If isArray(CC) Then
					objMsg.CC = Join(CC, ",")
				End If
				If isArray(BCC) Then
					objMsg.BCC = Join(BCC, ",")
				End If
				If isArray(Attachment) Then
					For i = lBound(Attachment) To uBound(Attachment)
							objMsg.AddAttachment Attachment(i)
						Next
				End If
				objMsg.Subject = Subject
				objMsg.From = From
				objMsg.TextBody = Body
				objMsg.Send
				set objMsg = nothing
				
			Case Else
				Send = 2
				Exit Function
		End Select

		If err.Number > 0 Then
			Send = 1
		Else
			Send = 0
		End If
	End Function

	Public Function CheckComponent()
		On Error Resume Next
			Set Mail = Server.CreateObject("Persits.MailSender")
			If err.number = 0 Then
				Component = Component & ";ASPEMail"
				Set Mail = Nothing
			End If
			err.Clear
			Set Mailer = Server.CreateObject("SMTPsvg.Mailer")
			If err.number = 0 Then
				Component = Component & ";ASPMail"
				Set Mailer = Nothing
			End If
			err.Clear
			Set JMail = Server.CreateObject("JMail.SMTPMail")
			If err.number = 0 Then
				Component = Component & ";JMail"
				Set JMail = Nothing
			End If
			err.Clear
			Set objEmail = Server.CreateObject("Dundas.Mailer") 
			If err.number = 0 Then
				Component = Component & ";Dundas"
				Set objEmail = Nothing
			End If
			err.Clear
			Set Mailer = Server.CreateObject("ASPMail.ASPMailCtrl.1")
			If err.number = 0 Then
				Component = Component & ";Flicks"
				Set Mailer = Nothing
			End If
			err.Clear
			Set oMailListBot = CreateObject ("ExclamationSoft.MailListBot.2")
			If err.number = 0 Then
				Component = Component & ";MailListBot"
				Set oMailListBot = Nothing
			End If
			err.Clear
			Set mySmartMail = Server.CreateObject("aspSmartMail.SmartMail")
			If err.number = 0 Then
				Component = Component & ";AspSmartMail"
				Set mySmartMail = Nothing
			End If
			err.Clear
			Set Mailer = Server.CreateObject("Geocel.Mailer")
			If err.number = 0 Then
				Component = Component & ";DevMailer"
				Set Mailer = Nothing
			End If
			err.Clear
			Set Mailer = Server.createobject("ActiveMail.Mail")
			If err.number = 0 Then
				Component = Component & ";ActiveMailer"
				Set Mailer = Nothing
			End If
			err.Clear
			Set myemail = Server.CreateObject("Dynu.Email")
			If err.number = 0 Then
				Component = Component & ";DynuEmail"
				Set myemail = Nothing
			End If
			err.Clear
			Set Mailbox = Server.CreateObject("HSMailer.Mailbox")
			If err.number = 0 Then
				Component = Component & ";HSMailer"
				Set Mailbox = Nothing
			End If
			err.Clear
			Set objMailer = server.CreateObject("HTMLMailer.SimpleMailer")
			If err.number = 0 Then
				Component = Component & ";HTMLMailer"
				Set objMailer = Nothing
			End If
			err.Clear
			set o = Server.CreateObject("ADISCON.SimpleMail.1") ' create mailer!
			If err.number = 0 Then
				Component = Component & ";SimpleMail"
				Set o = Nothing
			End If
			err.Clear
			Set objNewMail = Server.CreateObject("CDONTS.NewMail")
			If err.number = 0 Then
				Component = Component & ";CDONTS"
				Set objNewMail = Nothing
			End If
			err.Clear
			set objCDOConf = CreateObject("CDO.Configuration")
			If err.number = 0 Then
				Component = Component & ";CDOSYS"
				Set objCDOConf = Nothing
			End If
			err.Clear
			Component = Mid(Component, 2)
			CheckComponent = Split(Component, ";")
	End Function
End Class
%>